Subject: [Sip] Buggy example in draft-ietf-sipping-reg-event-00

From: Peter Päppinghaus <[email-masked]>
Date: Fri, 08 Nov 2002 16:21:45 +0100

Hi,

I believe to have stumbled on a buggy example in 
draft-ietf-sipping-reg-event-00.txt.

Quotation from top of p. 19:

   "Later on, the user registers (5):

    REGISTER sip:[email-masked] SIP/2.0
    Via: SIP/2.0/UDP pc34.bar.com;branch=z9hG4bKnaaff
    From: sip:[email-masked];tag=99a8s
    To: sip:[email-masked]
    Call-ID: [email-masked]
    CSeq: 9976 REGISTER
    Contact: sip:[email-masked]"

    The Request-URI in this example violates RFC 3261, sec. 10.2:
    "The userinfo and "@" components of the SIP URI MUST NOT be present."

Regards,

Peter Paeppinghaus

-- 
Dr. Peter Päppinghaus
Siemens AG            | Phone:    +49 89 - 722 40065
ICM N PG U ID A1      | Fax:      +49 89 - 722 58726
Hofmannstr. 51        | Visitors: Building 1713 / Room 714
D - 81359 München     | Email:    [email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip